package com.bs.df.service;

import com.github.yulichang.base.MPJBaseService;
import com.bs.df.domain.DfOrder;

/**
 * 客户订单Service接口
 *
 * @author bs
 * @date 2024-04-06
 */
public interface IDfOrderService extends MPJBaseService<DfOrder>{
    /**
     * 获取单据流水号，单据前缀+日期+四位流水号，如：RK202310010001
     * @param billPrefix
     * @return 单据流水号，如果billPrefix为空，返回日期+四位流水号
     */
    public String getBillNumber(String billPrefix);
}
