package com.bs.df.utils;

import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class HtmlUtils {

    // 定义 HTML 标签的正则表达式
    private static final Pattern HTML_TAG_PATTERN = Pattern.compile("<[^>]+>");

    // 去除 HTML 标签的方法
    public static String stripHtmlTags(String html) {
        if (html == null || html.trim().isEmpty()) {
            return "";
        }
        Matcher matcher = HTML_TAG_PATTERN.matcher(html);
        return matcher.replaceAll("");
    }

}
