package com.bs.system.domain;

import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

/**
 * 全国城市对象 df_area
 *
 * @author bs
 * @date 2024-04-13
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("df_area")
@Data
public class DfArea extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "area_id",type = IdType.AUTO)
    @ApiModelProperty(value = "${column.columnComment}")
    private String areaId;

    /** $column.columnComment */

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${column.columnComment}")
    private String parentId;

    /** $column.columnComment */

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${column.columnComment}")
    private String name;




}
